> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location

> Returns a location for the given ID.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json get /api/v3/locations/{locationId}
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/locations/{locationId}:
    get:
      tags:
        - Locations
      summary: Get Location
      description: Returns a location for the given ID.
      operationId: OpenApiLocationsController_getLocationById
      parameters:
        - name: locationId
          required: true
          in: path
          description: The Id of the location to get.
          schema:
            example: 2ea1ae03ca521e437db76d76
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLocationByIdResponse'
        '404':
          description: Location not found.
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    GetLocationByIdResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: Location Id
              example: 7710f34fd5061afeec3eab59
            createdAt:
              type: string
              format: date-time
              description: Location created at
              example: '2025-01-01T00:00:00.000Z'
            updatedAt:
              type: string
              format: date-time
              description: Location updated at
              example: '2025-01-01T00:00:00.000Z'
            archivedAt:
              type: string
              format: date-time
              nullable: true
              description: Location archived at
              example: null
            name:
              type: string
              description: Location name
              example: Main Campus
            hideFromDonors:
              default: false
              type: boolean
              description: Whether this location is hidden from donors
            isDefaultLocation:
              default: false
              type: boolean
              description: Whether this location is the default or fallback location.
          required:
            - id
            - createdAt
            - updatedAt
            - archivedAt
            - name
          description: Location for the given id.
      required:
        - data
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````